Package com.independentsoft.office.word.math

# Class GroupCharacterProperties

java.lang.Object
com.independentsoft.office.word.math.GroupCharacterProperties

public class GroupCharacterProperties extends Object
The Class GroupCharacterProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCharacterProperties()`
  Instantiates a new group character properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroupCharacterProperties`
  `clone()`
  `char`
  `getCharacter()`
  Gets the character.
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `TopBottomAlignment`
  `getPosition()`
  Gets the position.
  `TopBottomAlignment`
  `getVerticalJustification()`
  Gets the vertical justification.
  `void`
  `setCharacter​(char character)`
  Sets the character.
  `void`
  `setPosition​(TopBottomAlignment position)`
  Sets the position.
  `void`
  `setVerticalJustification​(TopBottomAlignment verticalJustification)`
  Sets the vertical justification.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroupCharacterProperties

    public GroupCharacterProperties()
    Instantiates a new group character properties.

- ## Method Details

  - ### clone

    public GroupCharacterProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCharacter

    public char getCharacter()
    Gets the character.
    Returns:
      the character

  - ### setCharacter

    public void setCharacter​(char character)
    Sets the character.
    Parameters:
      `character` - the new character

  - ### getPosition

    public TopBottomAlignment getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(TopBottomAlignment position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getVerticalJustification

    public TopBottomAlignment getVerticalJustification()
    Gets the vertical justification.
    Returns:
      the vertical justification

  - ### setVerticalJustification

    public void setVerticalJustification​(TopBottomAlignment verticalJustification)
    Sets the vertical justification.
    Parameters:
      `verticalJustification` - the new vertical justification

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties